# Class AcceptEncoding

java.lang.Object
org.apache.tomcat.util.http.parser.AcceptEncoding

public class AcceptEncoding extends Object
Represents a single Accept-Encoding value with its quality factor.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AcceptEncoding(String encoding, double quality)`
Creates a new AcceptEncoding instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
Gets the encoding.
`double`
`getQuality()`
Gets the quality factor.
`static List<AcceptEncoding>`
`parse(StringReader input)`
Parses the Accept-Encoding header value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcceptEncoding

protected AcceptEncoding(String encoding, double quality)
Creates a new AcceptEncoding instance.

Parameters:
  `encoding` - The encoding
  `quality` - The quality factor

## Method Details

### getEncoding

public String getEncoding()
Gets the encoding.

Returns:
  the encoding

### getQuality

public double getQuality()
Gets the quality factor.

Returns:
  the quality factor

### parse

public static List<AcceptEncoding> parse(StringReader input) throws IOException
Parses the Accept-Encoding header value.

Parameters:
  `input` - The input reader
Returns:
  A list of AcceptEncoding instances
Throws:
  `IOException` - if an I/O error occurs